#include "CS_Computer.h"

CS_Computer::CS_Computer()
{
	ani.png = L"CS_CaveStoryMod";
	drawBeforeOtherEntity = true;
}

void CS_Computer::SetState(int stateID, int lr)
{
	this->lr = lr;
	ani.sprite_index = lr == 0 ? L"ls_computer_off" : L"ls_computer_on";
}

std::shared_ptr<Entity> CreateCS_Computer()
{
	return std::make_shared<CS_Computer>();
}
